%XYStage_Test1
clear all;
[s,err01] = EZStepperOpenSerial('COM3');
% Prior stage 2mm pitch
xy = XYStage('PortObj', s, 'ControllerNameX', 3, 'ControllerNameY', 4, ...
        'LeadUmX', 2000, 'LeadUmY', 2000, ...
        'MotorStepsX', 200, 'MotorStepsY', 200, ...
        'HoldCurrentX', 5, 'HoldCurrentY', 5, ...
        'RunCurrentX', 65, 'RunCurrentY', 65, ...
        'StepDivideX', 256, 'StepDivideY', 256, ...
        'SlewVelocityX', 10000, 'SlewVelocityY', 10000, ...
        'InitVelocityX', 500, 'InitVelocityY', 500, ...
        'RampX', 100, 'RampY', 100, ...
        'LimitPolarity', 1, 'Log', 0);
err02 = XYHome2Phase(xy);
[pos1x, pos1y, err03] = XYPos(xy);
err04 = XYRelative(xy,20000,20000);
err05 = XYWait(xy);
[pos2x, pos2y, err06] = XYPos(xy);
err07 = XYOrigin(xy);
[pos3x, pos3y, err08] = XYPos(xy);
err09 = XYAbsolute(xy,-10000,-10000);
err10 = XYWait(xy);
[pos4x, pos4y, err11] = XYPos(xy);
err12 = XYHome2Phase(xy);
[pos5x, pos5y, err13] = XYPos(xy);
err14 = XYJog(xy, 5000,5000);
pause(2.5);
err15 = XYStop(xy);
[pos6x, pos6y, err16] = XYPos(xy);
log = EZStepperLog();
delete(xy);
clear xy;
err17 = EZStepperCloseSerial(s); %also clears log
delete(s);
clear s;

